Package org.opengis.cite.iso19142

# Class SuiteFixtureListener

java.lang.Object
org.opengis.cite.iso19142.SuiteFixtureListener

All Implemented Interfaces:
  `org.testng.ISuiteListener`, `org.testng.ITestNGListener`

public class SuiteFixtureListener extends Object implements org.testng.ISuiteListener
A listener that performs various tasks before and after a test suite is run, usually concerned with maintaining a shared test suite fixture. Since this listener is loaded using the ServiceLoader mechanism, its methods will be called before those of other suite listeners listed in the test suite definition and before any annotated configuration methods. Attributes set on an ISuite instance are not inherited by constituent test group contexts (ITestContext). However, suite attributes are still accessible from lower contexts.

See Also:
  - `ISuite interface`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuiteFixtureListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onFinish(org.testng.ISuite suite)`
  `void`
  `onStart(org.testng.ISuite suite)`
  `(package private) void`
  `processWfsParameter(org.testng.ISuite suite)`
  Processes the "wfs" test suite parameter that specifies a URI reference for the service description (capabilities document).
  `(package private) void`
  `setAppSchemaParameter(org.testng.ISuite suite)`
  Sets the value of the "xsd" suite parameter, the value of which is the request URI used to retrieve the GML application schema(s) supported by the WFS under test.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SuiteFixtureListener

    public SuiteFixtureListener()

- ## Method Details

  - ### onStart

    public void onStart(org.testng.ISuite suite)
    Specified by:
      `onStart` in interface `org.testng.ISuiteListener`

  - ### onFinish

    public void onFinish(org.testng.ISuite suite)
    Specified by:
      `onFinish` in interface `org.testng.ISuiteListener`

  - ### processWfsParameter

    void processWfsParameter(org.testng.ISuite suite)
    Processes the "wfs" test suite parameter that specifies a URI reference for the service description (capabilities document). The URI is dereferenced and the entity is parsed; the resulting Document object is set as the value of the `testSubject` suite attribute. The `featureInfo` suite attribute is also set; its value is a Map<QName, FeatureTypeInfo> object that provides summary information about available feature types, mostly gleaned from the service description.
    Parameters:
      `suite` - An ISuite object representing a TestNG test suite.

  - ### setAppSchemaParameter

    void setAppSchemaParameter(org.testng.ISuite suite)
    Sets the value of the "xsd" suite parameter, the value of which is the request URI used to retrieve the GML application schema(s) supported by the WFS under test. The URI corresponds to a DescribeFeatureType request; its value is derived from information in the service metadata document (GET method).
    Parameters:
      `suite` - An ISuite object representing a TestNG test suite. The value of the attribute `SuiteAttribute.TEST_SUBJECT` should be a Document node representing service metadata.